set default=2

function load_video {
  insmod efi_gop
  insmod efi_uga
  insmod video_bochs
  insmod video_cirrus
  insmod all_video
}

load_video
set gfxpayload=keep
insmod gzio
insmod part_gpt
insmod ext2

set timeout=60
### END /etc/grub.d/00_header ###

search --no-floppy --set=root -l 'SME Server'

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Install Koozali SME Server 11' --class fedora --class gnu-linux --class gnu --class os {
	linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SME\x20Server quiet inst.ks=hd:LABEL=SME\x20Server:/ks.cfg
	initrdefi /images/pxeboot/initrd.img
}
menuentry 'Install Koozali SME Server 11 in text mode' --class fedora --class gnu-linux --class gnu --class os {
    linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SME\x20Server quiet inst.ks=hd:LABEL=SME\x20Server:/ks.cfg text
    initrdefi /images/pxeboot/initrd.img
}
menuentry 'Test this media & install Koozali SME Server 11' --class fedora --class gnu-linux --class gnu --class os {
	linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SME\x20Server rd.live.check quiet inst.ks=hd:LABEL=SME\x20Server:/ks.cfg
	initrdefi /images/pxeboot/initrd.img
}
submenu 'Troubleshooting -->' {
	menuentry 'Install Koozali SME Server 11 in basic graphics mode' --class fedora --class gnu-linux --class gnu --class os {
		linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SME\x20Server xdriver=vesa nomodeset quiet inst.ks=hd:LABEL=SME\x20Server:/ks.cfg
		initrdefi /images/pxeboot/initrd.img
	}
	menuentry 'Rescue a Koozali SME Server system' --class fedora --class gnu-linux --class gnu --class os {
		linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SME\x20Server rescue quiet
		initrdefi /images/pxeboot/initrd.img
	}
}
